Skip to main content
POST
https://app.autocalls.ai/api/
/
user
/
make_call
Make a phone call
curl --request POST \
  --url https://app.autocalls.ai/api/user/make_call \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "phone_number": "<string>",
  "assistant_id": 123,
  "variables": {
    "customer_name": "<string>",
    "email": "<string>"
  }
}
'
{
  "message": "Call initiated successfully",
  "data": {}
}
This endpoint allows you to make a phone call.

Request body

phone_number
string
required
The phone number of the customer in E.164 format (e.g. +1234567890)
assistant_id
integer
required
The ID of the assistant to make the call with
variables
object
Custom variables to pass to the call. You can include any variables that are defined on your assistant (see Call variables). The examples below are just for illustration — use your own variable names as configured in the assistant settings.

Response

message
string
default:"Call initiated successfully"
The message of the response
{
  "message": "Call initiated successfully",
  "data": {}
}